Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 637213 - Review Request: yubikey-val - The YubiKey Validation Server
Review Request: yubikey-val - The YubiKey Validation Server
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ricky Zhou
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-24 11:24 EDT by Dennis Gilmore
Modified: 2011-02-13 03:54 EST (History)
6 users (show)

See Also:
Fixed In Version: yubikey-val-2.7-2.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-12 19:20:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rzhou: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Dennis Gilmore 2010-09-24 11:24:51 EDT
Spec URL: http://ausil.us/packages/yubikey-val.spec
SRPM URL: http://ausil.us/packages/yubikey-val-2.7-1.fc14.src.rpm
Description: This is a server that validates Yubikey OTPs. It is written in PHP, for use with web servers such as Apache
Comment 1 Ricky Zhou 2010-09-27 17:40:40 EDT
I think this needs to require php-pdo.  The user would then need to install the more specific php-pdo-* package for whatever DB they want to use with the package.
Comment 2 Dennis Gilmore 2011-01-06 21:44:05 EST
Spec URL: http://ausil.us/packages/yubikey-val.spec
SRPM URL: http://ausil.us/packages/yubikey-val-2.7-2.fc15.src.rpm

* Thu Jan 06 2011 Dennis Gilmore <dennis@ausil.us> - 2.7-2
- Requires php-pdo
- remove -template from config file name
Comment 3 Ricky Zhou 2011-01-07 20:52:17 EST
OK - rpmlint clean

yubikey-val-2.7-2.fc14.src.rpm 
yubikey-val.src: W: invalid-url Source0: http://yubikey-val-server-php.googlecode.com/files/yubikey-val-2.7.tgz HTTP Error 404: Not Found
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

yubikey-val-2.7-2.fc14.noarch.rpm
yubikey-val.noarch: E: non-readable /etc/ykval/ykval-config.php 0640L
yubikey-val.noarch: W: no-manual-page-for-binary ykval-export
yubikey-val.noarch: W: no-manual-page-for-binary ykval-queue
yubikey-val.noarch: W: no-manual-page-for-binary ykval-import
yubikey-val.noarch: W: no-manual-page-for-binary ykval-checksum-clients
1 packages and 0 specfiles checked; 1 errors, 4 warnings.

Non-readable error and google code warning are false positives.

OK - package meets naming guidelines
OK - spec file name matches base package name
OK - meets packaging guidelines
OK - meets licensing guidelines
OK - license field matches
OK - spec in American English
OK - spec is legible
OK - spec sources match upstream
OK - builds in mock
OK - no bundled libs
OK - owns its directories, does not own files owned by other packages
OK - does not list a file more than once
OK - permissions are OK
OK - consistently uses macros
OK - contains code or permissible content
OK - files in %doc do not affect runtime
OK - filenames valid UTF-8

SHOULD: If the source package does not include license text(s) as a
separate file from upstream, the packager SHOULD query upstream to
include it.

APPROVED
Comment 4 Dennis Gilmore 2011-01-25 21:03:01 EST
Package Name: yubikey-val
Short Description: The YubiKey Validation Server
Owners: ausil
Branches: el6 f13 f14
InitialCC:
Comment 5 Dennis Gilmore 2011-01-25 21:09:04 EST
New Package SCM Request
=======================
Package Name: yubikey-val
Short Description: The YubiKey Validation Server
Owners: ausil
Branches: el6 f13 f14
InitialCC:
Comment 6 Dennis Gilmore 2011-01-25 21:12:37 EST
Git done (by process-git-requests).
Comment 7 Fedora Update System 2011-01-25 22:49:44 EST
yubikey-val-2.7-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/yubikey-val-2.7-2.fc14
Comment 8 Fedora Update System 2011-01-25 22:50:37 EST
yubikey-val-2.7-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/yubikey-val-2.7-2.fc13
Comment 9 Fedora Update System 2011-01-25 22:51:10 EST
yubikey-val-2.7-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/yubikey-val-2.7-2.el6
Comment 10 Fedora Update System 2011-01-26 14:03:28 EST
yubikey-val-2.7-2.el6 has been pushed to the Fedora EPEL 6 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update yubikey-val'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/yubikey-val-2.7-2.el6
Comment 11 Fedora Update System 2011-02-12 19:20:06 EST
yubikey-val-2.7-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2011-02-13 03:49:44 EST
yubikey-val-2.7-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2011-02-13 03:54:17 EST
yubikey-val-2.7-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.